Bug 181419

Summary: [UPDATE] www/trac: Fix wiki bracketed link with Genshi 0.7
Product: Ports & Packages Reporter: Hung-Yi Chen <gaod>
Component: Individual Port(s)Assignee: Cheng-Lung Sung <clsung>
Status: Closed FIXED    
Severity: Affects Only Me CC: clsung
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
www_trac.diff none

Description Hung-Yi Chen 2013-08-20 07:50:01 UTC
	 Fix wiki bracketed link with Genshi 0.7.
         Ref: http://trac.edgewall.org/changeset/11683

         Port maintainer (clsung <at> FreeBSD.org) is cc'd.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-20 07:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-08 20:02:44 UTC
Author: rm
Date: Sat Feb  8 20:02:33 2014
New Revision: 343380
URL: http://svnweb.freebsd.org/changeset/ports/343380
QAT: https://qat.redports.org/buildarchive/r343380/

Log:
  - remove indefinite article from COMMENT
  - add LICENSE (BSD3C)
  - set RUN_DEPENDS explicitly
  - turn database back-end selection into radio-option keeping existing
  logic: if PGSQL isn't selected SQLITE is used
  - use options helpers
  - do not use easy_install and convert to auto-generated packing list [1]
  - utilize shebangfix, instead of doing the same manually
  - remove no more needed x-generate-plist target
  - simplify examples installation and unmute it's commands
  - do not install rpm stuff, it's not linux here anyway
  - whitespace fixes in pkg-descr
  - bump PORTREVISION
  
  PR:		182332
  Requested by:   Volodymyr Kostyrko <arcade@b1t.name> [1]
  Submitted by:	rm (myself)
  Approved by:	maintainer timeout
  
  - add upstream patch to fix wiki bracketed link with Genshi 0.7
    see http://trac.edgewall.org/changeset/11683 for details
  
  PR:     181419
  Submitted by:   Hung-Yi Chen <gaod@hychen.org>
  Approved by:    maintainer timeout

Added:
  head/www/trac/files/patch-trac_wiki_formatter.py   (contents, props changed)
  head/www/trac/files/patch-trac_wiki_tests_wiki-tests.txt   (contents, props changed)
Deleted:
  head/www/trac/pkg-plist
Modified:
  head/www/trac/Makefile
  head/www/trac/pkg-descr
  head/www/trac/pkg-message

Modified: head/www/trac/Makefile
==============================================================================
--- head/www/trac/Makefile	Sat Feb  8 19:59:23 2014	(r343379)
+++ head/www/trac/Makefile	Sat Feb  8 20:02:33 2014	(r343380)
@@ -3,91 +3,59 @@
 
 PORTNAME=	trac
 PORTVERSION=	1.0.1
+PORTREVISION=	1
 CATEGORIES=	www devel python
 MASTER_SITES=	http://ftp.edgewall.com/pub/trac/ \
 		ftp://ftp.edgewall.com/pub/trac/
 DISTNAME=	Trac-${PORTVERSION}
 
 MAINTAINER=	clsung@FreeBSD.org
-COMMENT=	An enhanced wiki and issue tracking system for software projects
+COMMENT=	Enhanced wiki and issue tracking system for software projects
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.6:${PORTSDIR}/textproc/py-genshi \
-		${PYTHON_PKGNAMEPREFIX}Babel>=0.9.5:${PORTSDIR}/devel/py-babel
-RUN_DEPENDS:=	${BUILD_DEPENDS}
+LICENSE=	BSD3CLAUSE
 
-OPTIONS_DEFINE=		SILVERCITY DOCUTILS PYGMENTS TZ PGSQL SVN
-OPTIONS_DEFAULT=	SILVERCITY DOCUTILS PYGMENTS TZ SVN
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Babel>=0.9.5:${PORTSDIR}/devel/py-babel \
+		${PYTHON_PKGNAMEPREFIX}Genshi>=0.6:${PORTSDIR}/textproc/py-genshi
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Babel>=0.9.5:${PORTSDIR}/devel/py-babel \
+		${PYTHON_PKGNAMEPREFIX}Genshi>=0.6:${PORTSDIR}/textproc/py-genshi
+
+OPTIONS_DEFINE=		SILVERCITY DOCUTILS PYGMENTS TZ SVN
+OPTIONS_DEFAULT=	SILVERCITY DOCUTILS PYGMENTS TZ SVN SQLITE
+OPTIONS_RADIO=		DATABASE
+OPTIONS_RADIO_DATABASE=	PGSQL SQLITE
 SILVERCITY_DESC=	Silvercity for syntax highlighting
 DOCUTILS_DESC=		Allow additional text markup
 PYGMENTS_DESC=		Use generic syntax highlighter
 TZ_DESC=		Process Time Zones
 
-CONFLICTS=	ja-trac-[0-9]*
-
-USE_PYTHON=	2
-USE_PYDISTUTILS=	easy_install
-PYDISTUTILS_PKGNAME=	Trac
-PYDISTUTILS_NOEGGINFO=	yes
-
-USE_RC_SUBR=	tracd
-SUB_LIST=	PYTHON_CMD=${PYTHON_CMD}
-
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MSILVERCITY}
-RUN_DEPENDS+=	${LOCALBASE}/bin/source2html.py:${PORTSDIR}/textproc/silvercity
-.endif
-
-.if ${PORT_OPTIONS:MDOCUTILS}
-RUN_DEPENDS+=	${LOCALBASE}/bin/rst2html:${PORTSDIR}/textproc/py-docutils
-.endif
-
-.if ${PORT_OPTIONS:MPYGMENTS}
-RUN_DEPENDS+=	${LOCALBASE}/bin/pygmentize:${PORTSDIR}/textproc/py-pygments
-.endif
-
-.if ${PORT_OPTIONS:MTZ}
-RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}pytz>0:${PORTSDIR}/devel/py-pytz
-.endif
-
-.if ${PORT_OPTIONS:MPGSQL}
-RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/psycopg2/__init__.py:${PORTSDIR}/databases/py-psycopg2
-.else
-RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}sqlite3>0:${PORTSDIR}/databases/py-sqlite3
-.endif
-
-.if ${PORT_OPTIONS:MSVN}
-RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/svn/__init__.py:${PORTSDIR}/devel/py-subversion
-.endif
-
-# This target is only meant to be used by the port maintainer.
-x-generate-plist:
-	(${PORTSDIR}/Tools/scripts/plist -d -m ${MTREE_FILE} ${PREFIX} \
-	| ${SED} -E \
-		's,.*share/nls/.+$$,,g \
-		;s,@dirrm share/man(/.*)?$$,,g \
-		;s,${PYTHON_SITELIBDIR:S,^${PYTHONBASE}/,,},%%PYTHON_SITELIBDIR%%,g \
-		;s,share/trac,%%DATADIR%%,g \
-		;s,share/examples/trac,%%EXAMPLESDIR%%,g \
-		;s,@dirrm (%%PYTHON_SITELIBDIR%%|${PYTHON_LIBDIR:S,${PYTHONBASE}/,,})$$,,g \
-		' | ${TR} -s '\n') > temp-pkg-plist
-
-pre-install:
-	@${REINPLACE_CMD} -i '' -e 's|/usr/bin/python|${PYTHON_CMD}|' ${WRKSRC}/contrib/cgi-bin/trac.fcgi \
-	    ${WRKSRC}/contrib/cgi-bin/trac.cgi
+SILVERCITY_RUN_DEPENDS=	${LOCALBASE}/bin/source2html.py:${PORTSDIR}/textproc/silvercity
+DOCUTILS_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}docutils>0:${PORTSDIR}/textproc/py-docutils
+PYGMENTS_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pygments>0:${PORTSDIR}/textproc/py-pygments
+TZ_RUN_DEPENDS=		${PYTHON_PKGNAMEPREFIX}pytz>0:${PORTSDIR}/devel/py-pytz
+PGSQL_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}psycopg2>0:${PORTSDIR}/databases/py-psycopg2
+SQLITE_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sqlite3>0:${PORTSDIR}/databases/py-sqlite3
+SVN_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}subversion>0:${PORTSDIR}/devel/py-subversion
+
+CONFLICTS=		ja-trac-[0-9]*
+PORTEXAMPLES=		*
+PORTDATA=		*
+
+USES=			shebangfix
+SHEBANG_FILES=		contrib/cgi-bin/trac.fcgi contrib/cgi-bin/trac.cgi \
+			trac/tests/functional/better_twill.py trac/tests/functional/tester.py \
+			trac/tests/functional/testenv.py trac/tests/functional/compat.py \
+			trac/tests/functional/__init__.py contrib/emailfilter.py \
+			contrib/checkwiki.py contrib/htpasswd.py
+USE_PYTHON=		2
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+USE_RC_SUBR=		tracd
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}/sample-plugins
-	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}/rpm
-	@${INSTALL_DATA} ${WRKSRC}/contrib/rpm/* ${STAGEDIR}${EXAMPLESDIR}/rpm
-	@${FIND} ${WRKSRC}/contrib -type f -maxdepth 1 -exec ${INSTALL_DATA} {} ${STAGEDIR}${EXAMPLESDIR}/ \;
-. for d in permissions workflow
-	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}/sample-plugins/${d}
-	@${INSTALL_DATA} ${WRKSRC}/sample-plugins/${d}/* ${STAGEDIR}${EXAMPLESDIR}/sample-plugins/${d}/
-	@${RM} -rf ${WRKSRC}/contrib/${d}
-. endfor
-	@${INSTALL_DATA} ${WRKSRC}/sample-plugins/*.py ${STAGEDIR}${EXAMPLESDIR}/sample-plugins/
+	${FIND} ${WRKSRC}/contrib -type f -maxdepth 1 -exec ${INSTALL_DATA} {} ${STAGEDIR}${EXAMPLESDIR}/ \;
+	(cd ${WRKSRC}/sample-plugins && ${COPYTREE_SHARE} . ${STAGEDIR}${EXAMPLESDIR}/sample-plugins)
 	@${MKDIR} ${STAGEDIR}${DATADIR}/cgi-bin
-	@${INSTALL_SCRIPT} ${WRKSRC}/contrib/cgi-bin/* ${STAGEDIR}${DATADIR}/cgi-bin
+	${INSTALL_SCRIPT} ${WRKSRC}/contrib/cgi-bin/* ${STAGEDIR}${DATADIR}/cgi-bin
 
 .include <bsd.port.mk>

Added: head/www/trac/files/patch-trac_wiki_formatter.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac/files/patch-trac_wiki_formatter.py	Sat Feb  8 20:02:33 2014	(r343380)
@@ -0,0 +1,14 @@
+Backported from upstream repo: http://trac.edgewall.org/changeset/11683
+See PR 181419 for details.
+
+--- trac/wiki/formatter.py.orig        2013-02-01 08:47:41.000000000 +0800
++++ trac/wiki/formatter.py 2013-08-20 14:24:46.982232000 +0800
+@@ -575,7 +575,7 @@
+         ns = fullmatch.group('snsbr')
+         target = unquote_label(fullmatch.group('stgtbr'))
+         match = match[1:-1]
+-        return '&lt;%s&gt;' % \
++        return u'&lt;%s&gt;' % \
+                 self._make_link(ns, target, match, match, fullmatch)
+
+     def _shref_formatter(self, match, fullmatch):

Added: head/www/trac/files/patch-trac_wiki_tests_wiki-tests.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac/files/patch-trac_wiki_tests_wiki-tests.txt	Sat Feb  8 20:02:33 2014	(r343380)
@@ -0,0 +1,19 @@
+Backported from upstream repo: http://trac.edgewall.org/changeset/11683
+See PR 181419 for details.
+
+--- trac/wiki/tests/wiki-tests.txt.orig        2013-08-20 14:02:43.308222000 +0800
++++ trac/wiki/tests/wiki-tests.txt 2013-08-20 14:01:18.000000000 +0800
+@@ -314,6 +314,13 @@
+ ------------------------------
+ <p>
+ nolink:&#34;&lt;blink&gt;&#34;
++</p> 
++------------------------------ 
++============================== Bracketed links 
++See <http://en.wikipedia.org/wiki/Mornington_Crescent_(game)> 
++------------------------------ 
++<p> 
++See &lt;<a class="ext-link" href="http://en.wikipedia.org/wiki/Mornington_Crescent_(game)"><span class="icon"></span>http://en.wikipedia.org/wiki/Mornington_Crescent_(game)</a>&gt; 
+ </p>
+ ------------------------------
+ ============================================================

Modified: head/www/trac/pkg-descr
==============================================================================
--- head/www/trac/pkg-descr	Sat Feb  8 19:59:23 2014	(r343379)
+++ head/www/trac/pkg-descr	Sat Feb  8 20:02:33 2014	(r343380)
@@ -5,7 +5,7 @@ development process and policies.
 
 All aspects of Trac have been designed with one single goal, to simplify
 tracking and communication of software issues, enhancements and monitoring
-overall progress. 
+overall progress.
 
 What is Trac?
 
@@ -14,8 +14,8 @@ What is Trac?
     * A flexible web-based issue tracker
     * An interface to the Subversion revision control system
 
-At the core of Trac lies an integrated wiki and issue/bug database.  Using
+At the core of Trac lies an integrated wiki and issue/bug database. Using
 wiki markup, all objects managed by Trac can directly link to other
-issues/bug reports, code changesets, documentation and files. 
+issues/bug reports, code changesets, documentation and files.
 
 WWW: http://trac.edgewall.org/

Modified: head/www/trac/pkg-message
==============================================================================
--- head/www/trac/pkg-message	Sat Feb  8 19:59:23 2014	(r343379)
+++ head/www/trac/pkg-message	Sat Feb  8 20:02:33 2014	(r343380)
@@ -6,10 +6,10 @@ You should be careful to check that the 
 been ported to 1.0.1, as they most probably won't work without adaptation
 due to the numerous internal changes that occurred during 1.0.1 development.
 
-See:	http://trac.edgewall.org/wiki/TracDev/ApiChanges/1.0
+See: http://trac.edgewall.org/wiki/TracDev/ApiChanges/1.0
 
 Consult the upgrade instructions at:
 
-	http://trac.edgewall.org/wiki/TracUpgrade
+  http://trac.edgewall.org/wiki/TracUpgrade
 
 *******************************************************************************
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2014-02-08 20:02:59 UTC
State Changed
From-To: open->closed

Committed, thank you!